      $set sourceformat "free" 
       IDENTIFICATION DIVISION.
       PROGRAM-ID. ListTable. 
       ENVIRONMENT DIVISION.
       INPUT-OUTPUT SECTION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01 emp-group-item.
       05  uname           pic x(16).
       05  phone          PIC 9(9).
       01 cursor-switch pic x value 'n'.
        88 end-of-cursor value 'y'.
       
       EXEC SQL INCLUDE SQLCA END-EXEC.
        
       PROCEDURE DIVISION.
       MAIN SECTION 01.
       BEGIN.
       
       EXEC SQL CONNECT TO 
       'jdbc:sqlserver://onldemosrv.database.windows.net:1433;database=onldemo;user=ianw@onldemosrv;password=Onldemodb1;encrypt=true;trustServerCertificate=false;hostNameInCertificate=*.database.windows.net;loginTimeout=30;'                                              
               USER 'ianw'
               PASSWORD 'Onldemodb1'
               DRIVER 'com.microsoft.sqlserver.jdbc.SQLServerDriver'
       END-EXEC.      
        
       IF SQLCODE NOT = 0 
        DISPLAY "FAILED TO CONNECT TO DATABASE " SQLCODE " " SQLERRM
        UPON SYSERR
        GO TO FIN
       END-IF. 
              
       EXEC SQL declare csr1 cursor for
          select name
                ,phone
          from onldemo_table1
          FOR READ ONLY
       END-EXEC. 
       
       EXEC SQL
            open csr1
       END-EXEC.
       IF SQLCODE NOT = 0 
               DISPLAY "FAILED TO OPEN CURSOR CSR1 " SQLCODE " " SQLERRM
               UPON SYSERR
               GO TO FIN
       END-IF
        
       perform until end-of-cursor       
         EXEC SQL 
            fetch csr1
            into :uname      
                ,:phone  
         END-EXEC   
       
         if sqlcode = 0
            display 'name: ' uname  ' : ' phone upon sysout
         else
            display 'sqlcode: ' sqlcode upon sysout
            set end-of-cursor to true
         end-if
       end-perform.
       
       EXEC SQL
            close csr1
       END-EXEC.
       EXEC JAVA
        System.out.println("End of Application");
       END-EXEC
                
       DISPLAY "End of Program." upon sysout.
       FIN.
        stop run.
